aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-11 19:39:26 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-11 19:39:26 +0000
commit6a5509131721b9452fbcf8b338caf8fd79b2d608 (patch)
treed840ef28fa900866d1d5974e45bc6062d5414d88
parent80e1cf01f94a5fc234065b9bf1882ad365de7367 (diff)
downloadaports-6a5509131721b9452fbcf8b338caf8fd79b2d608.tar.gz
aports-6a5509131721b9452fbcf8b338caf8fd79b2d608.tar.bz2
aports-6a5509131721b9452fbcf8b338caf8fd79b2d608.tar.xz
main/xmlrpc-c: upgrade to 1.39.09
-rw-r--r--main/xmlrpc-c/APKBUILD37
1 files changed, 12 insertions, 25 deletions
diff --git a/main/xmlrpc-c/APKBUILD b/main/xmlrpc-c/APKBUILD
index b0477eabe9..e6fad4022c 100644
--- a/main/xmlrpc-c/APKBUILD
+++ b/main/xmlrpc-c/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xmlrpc-c
-pkgver=1.39.07
+pkgver=1.39.09
pkgrel=0
pkgdesc="This library provides a modular implementation of XML-RPC for C and C++"
url="http://xmlrpc-c.sourceforge.net/"
@@ -11,24 +11,15 @@ depends_dev="libxml2-dev"
makedepends="libtool curl-dev libxml2-dev zlib-dev"
subpackages="$pkgname-dev $pkgname-doc $pkgname-client
$pkgname-client++:clientxx xmlrpc-c++:cxx $pkgname-abyss"
-source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tgz
- host-os-uclibc.patch
- "
+source="http://heanet.dl.sourceforge.net/project/xmlrpc-c/Xmlrpc-c%20Super%20Stable/$pkgver/xmlrpc-$pkgver.tgz
+ host-os-uclibc.patch"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- update_config_sub || return 1
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/xmlrpc-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
+ update_config_sub || return 1
+ export CXXFLAGS="$CXXFLAGS -std=gnu++98"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -39,15 +30,11 @@ build() {
--disable-libwww-client \
--disable-wininet-client \
|| return 1
- # no parallel builds :-(
- make -C include && \
- make -C lib AR=ar RANLIB=ranlib && \
- make -j1 -C src AR=ar RANLIB=ranlib && \
- make AR=ar RANLIB=ranlib
+ make -j1 AR=ar RANLIB=ranlib || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make -j1 DESTDIR="$pkgdir" AR=ar RANLIB=ranlib install || return 1
install -m 644 -D doc/COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
@@ -83,9 +70,9 @@ abyss() {
"$subpkgdir"/usr/lib/
}
-md5sums="cb8d3df3d40be16dd4cadc3d650d1964 xmlrpc-c-1.39.07.tgz
+md5sums="ea77df647daea6e94136415440e16b15 xmlrpc-1.39.09.tgz
d3bee91077d3c7e1c0b80f6d7eeb2e63 host-os-uclibc.patch"
-sha256sums="b79aaa657084e26e7b732502f07b3af68375e37aeb1d1cd577ea3a413d7e1af3 xmlrpc-c-1.39.07.tgz
+sha256sums="a6525bf8adfb377dcaf6f05a171d72b62ba5b422090342bc9ba044bdc24a1186 xmlrpc-1.39.09.tgz
0aae483973387c710ddc6103be36287cfe507eaa2e998805e6aa858be8eeaaa5 host-os-uclibc.patch"
-sha512sums="471f4325cc3bcb900b39b53f302d4ffb423cab5cdb8ad4190478972a87e1df2b0ebc246fb4351e8ee4e043c86167ca07cf3349b9de1c766287ac20ed4997b4a4 xmlrpc-c-1.39.07.tgz
+sha512sums="dc7fad79ad81dd374f8406e58294a7a50072499f88cd42263bd36d3bef01ecbc7fb3f383291369d4de86ff8cc9cfe7beba39cba30d475c3acdc97d707df865f8 xmlrpc-1.39.09.tgz
30b57c5ffd65ea9781a56d1b4535e53c9d51c16e00d269992b239f1ff611fe3a510eb72b4d6ee96100706161d40738bbdf109580c745bfc9899d540ca6b3f1e5 host-os-uclibc.patch"